package cn.superdesk.app.inventory;

import cn.superdesk.libs.springboot.starter.cache.EnableSuperdeskCache;
import cn.superdesk.libs.springboot.starter.mybatis.EnableSuperdeskMybatis;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication
@EnableEurekaClient
@EnableSuperdeskCache
@EnableSuperdeskMybatis
@EnableTransactionManagement
@MapperScan(basePackages = {"cn.superdesk.app.*.dao.mapper"})
@ComponentScan(basePackages={"cn.superdesk.app","cn.superdesk.app.inventory"})
@EnableFeignClients(basePackages = "cn.superdesk.app")
public class SuperdeskInventoryManagementApplication {

    public static void main(String[] args) {
        SpringApplication.run(SuperdeskInventoryManagementApplication.class, args);
    }

}
