package cn.superdesk.app.inventory.common.enums;

import lombok.Getter;

/**
 * @author xc
 * @since 2023/11/22 10:36
 */
@Getter
public enum InventoryCheckSheetStateEnum {
    已删除(0, "已删除"),
    临时保存(1, "临时保存"),
    盘点完成(2, "盘点完成"),
    ;

    private final Integer code;
    private final String desc;

    InventoryCheckSheetStateEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static String getDescByCode(Integer state) {
        for (InventoryCheckSheetStateEnum value : InventoryCheckSheetStateEnum.values()) {
            if (value.getCode().equals(state)) {
                return value.getDesc();
            }
        }
        return null;
    }
}
