package cn.superdesk.app.inventory.dao.entity;

import cn.superdesk.libs.mybatis.core.BaseEntity;
import lombok.*;

import javax.persistence.*;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "tb_inventory_check_sheet_detail")
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class InventoryCheckSheetDetailEntity extends BaseEntity {
    /**
     * 自增主键
     * -- GETTER --
     *  获取自增主键
     *
     * @return id - 自增主键

     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 关联的盘点单号
     * -- GETTER --
     *  获取关联的盘点单号
     *
     * @return doc_no - 关联的盘点单号

     */
    @Column(name = "doc_no")
    private String docNo;

    /**
     * 商品名称
     * -- GETTER --
     *  获取商品名称
     *
     * @return product_name - 商品名称

     */
    @Column(name = "product_name")
    private String productName;

    /**
     * 单位
     * -- GETTER --
     *  获取单位
     *
     * @return unit - 单位

     */
    private String unit;

    /**
     * 商品id
     * -- GETTER --
     *  获取商品id
     *
     * @return product_id - 商品id

     */
    @Column(name = "product_id")
    private Integer productId;

    /**
     * 商品条码
     * -- GETTER --
     *  获取商品条码
     *
     * @return product_code - 商品条码

     */
    @Column(name = "product_code")
    private String productCode;

    /**
     * 原库存
     * -- GETTER --
     *  获取原库存
     *
     * @return original_quantity - 原库存

     */
    @Column(name = "original_quantity")
    private Integer originalQuantity;

    /**
     * 实际库存
     * -- GETTER --
     *  获取实际库存
     *
     * @return actual_quantity - 实际库存

     */
    @Column(name = "actual_quantity")
    private Integer actualQuantity;

    /**
     * 盈亏数量
     * -- GETTER --
     *  获取盈亏数量
     *
     * @return gain_and_loss_quantity - 盈亏数量

     */
    @Column(name = "gain_and_loss_quantity")
    private Integer gainAndLossQuantity;

    /**
     * 备注
     * -- GETTER --
     *  获取备注
     *
     * @return remark - 备注

     */
    private String remark;

    @Column(name = "cost_price")
    private BigDecimal costPrice;
    @Column(name = "cost_price_total")
    private BigDecimal costPriceTotal;

    /**
     * 是否标记删除
     * -- GETTER --
     *  获取是否标记删除
     *
     * @return enabled - 是否标记删除

     */
    private Integer enabled;


}