package cn.superdesk.app.inventory.dao.entity;

import cn.superdesk.libs.mybatis.core.BaseEntity;
import lombok.*;

import javax.persistence.*;
import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@Table(name = "tb_inventory_check_sheet")
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class InventoryCheckSheetEntity extends BaseEntity {
    /**
     * 自增主键
     *  获取自增主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 盘点单号
     * -- GETTER --
     *  获取盘点单号
     *
     * @return doc_no - 盘点单号

     */
    @Column(name = "doc_no")
    private String docNo;

    /**
     * 盘点单层级
     * 0-父单（默认） 1-子单
     */
    @Column(name = "level")
    private Integer level;

    /**
     * 父盘点单号
     */
    @Column(name = "parent_doc_no")
    private String parentDocNo;

    /**
     * 运营中心id
     * -- GETTER --
     *  获取运营中心id
     *
     * @return comp_id - 运营中心id

     */
    @Column(name = "comp_id")
    private Integer compId;

    /**
     * 运营中心名称
     * -- GETTER --
     *  获取运营中心名称
     *
     * @return comp_name - 运营中心名称

     */
    @Column(name = "comp_name")
    private String compName;

    /**
     * 项目id
     * -- GETTER --
     *  获取项目id
     *
     * @return org_id - 项目id

     */
    @Column(name = "org_id")
    private Integer orgId;

    /**
     * 项目名称
     * -- GETTER --
     *  获取项目名称
     *
     * @return org_name - 项目名称

     */
    @Column(name = "org_name")
    private String orgName;

    /**
     * 商户id
     * -- GETTER --
     *  获取商户id
     *
     * @return merchant_id - 商户id

     */
    @Column(name = "merchant_id")
    private Integer merchantId;

    /**
     * 商户名称
     * -- GETTER --
     *  获取商户名称
     *
     * @return merchant_name - 商户名称

     */
    @Column(name = "merchant_name")
    private String merchantName;

    /**
     * 商品品类数
     * -- GETTER --
     *  获取商品品类数
     *
     * @return product_type_count - 商品品类数

     */
    @Column(name = "product_type_count")
    private Integer productTypeCount;

    /**
     * 盈亏数量
     * -- GETTER --
     *  获取盈亏数量
     *
     * @return gain_and_loss_quantity - 盈亏数量

     */
    @Column(name = "gain_and_loss_quantity")
    private Integer gainAndLossQuantity;

    /**
     * 备注
     * -- GETTER --
     *  获取备注
     *
     * @return remark - 备注

     */
    private String remark;

    /**
     * 状态 0-已删除 1-临时保存 2-盘点完成
     * -- GETTER --
     *  获取状态 0-已删除 1-临时保存 2-盘点完成
     *
     * @return state - 状态 0-已删除 1-临时保存 2-盘点完成

     */
    private Integer state;

    /**
     * 盘点完成时间
     * -- GETTER --
     *  获取盘点完成时间
     *
     * @return finish_time - 盘点完成时间

     */
    @Column(name = "finish_time")
    private Date finishTime;

    /**
     * 盘点完成人id
     * -- GETTER --
     *  获取盘点完成人id
     *
     * @return finish_by - 盘点完成人id

     */
    @Column(name = "finish_by")
    private Integer finishBy;


    /**
     * 盘点完成人姓名
     * -- GETTER --
     *  获取盘点完成人姓名
     *
     * @return finish_user_name - 盘点完成人姓名

     */
    @Column(name = "finish_user_name")
    private String finishUserName;

    /**
     * 创建时间
     * -- GETTER --
     *  获取创建时间
     *
     * @return create_time - 创建时间

     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 创建人id
     * -- GETTER --
     *  获取创建人id
     *
     * @return create_by - 创建人id

     */
    @Column(name = "create_by")
    private Integer createBy;

    /**
     * 创建人姓名
     * -- GETTER --
     *  获取创建人姓名
     *
     * @return create_user_name - 创建人姓名

     */
    @Column(name = "create_user_name")
    private String createUserName;

    /**
     * 更新时间
     * -- GETTER --
     *  获取更新时间
     *
     * @return update_time - 更新时间

     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     * -- GETTER --
     *  获取更新人id
     *
     * @return update_by - 更新人id

     */
    @Column(name = "update_by")
    private Integer updateBy;

    /**
     * 更新人姓名
     * -- GETTER --
     *  获取更新人姓名
     *
     * @return update_user_name - 更新人姓名

     */
    @Column(name = "update_user_name")
    private String updateUserName;

    /**
     * 合并盘点单号
     * -- GETTER --
     *  获取合并盘点单号
     *
     * @return merged_doc_no - 合并盘点单号

     */
    @Column(name = "merged_doc_no")
    private String mergedDocNo;


}