package cn.superdesk.app.inventory.dao.entity;

import cn.superdesk.libs.mybatis.core.BaseEntity;
import lombok.*;

import javax.persistence.*;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "tb_inventory_operation_detail")
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InventoryOperationDetailEntity extends BaseEntity {
    /**
     * 自增主键
     * -- GETTER --
     *  获取自增主键
     *
     * @return id - 自增主键

     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 单据号
     * -- GETTER --
     *  获取单据号
     *
     * @return doc_no - 单据号

     */
    @Column(name = "doc_no")
    private String docNo;

    /**
     * 商品id
     * -- GETTER --
     *  获取商品id
     *
     * @return product_id - 商品id

     */
    @Column(name = "product_id")
    private Integer productId;

    /**
     * 商品名称
     * -- GETTER --
     *  获取商品名称
     *
     * @return product_name - 商品名称

     */
    @Column(name = "product_name")
    private String productName;

    /**
     * 商品条形码
     * -- GETTER --
     *  获取商品条形码
     *
     * @return product_code - 商品条形码

     */
    @Column(name = "product_code")
    private String productCode;

    /**
     * 库存变动数
     * -- GETTER --
     *  获取库存变动数
     *
     * @return inventory_change_quantity - 库存变动数

     */
    @Column(name = "inventory_change_quantity")
    private Integer inventoryChangeQuantity;

    /**
     * 变动前库存数
     * -- GETTER --
     *  获取变动前库存数
     *
     * @return quantity_before_update - 变动前库存数

     */
    @Column(name = "quantity_before_update")
    private Integer quantityBeforeUpdate;

    /**
     * 变动后库存
     * -- GETTER --
     *  获取变动后库存
     *
     * @return quantity_after_update - 变动后库存

     */
    @Column(name = "quantity_after_update")
    private Integer quantityAfterUpdate;

    /**
     * 成本单价
     */
    @Column(name = "cost_price")
    private BigDecimal costPrice;

    /**
     * 成本总价
     */
    @Column(name = "cost_price_total")
    private BigDecimal costPriceTotal;

    private String remark;

}