package cn.superdesk.app.inventory.dao.entity;

import cn.superdesk.libs.mybatis.core.BaseEntity;
import lombok.*;

import javax.persistence.*;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@Table(name = "tb_inventory_operation")
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InventoryOperationEntity extends BaseEntity {
    /**
     * 自增主键
     * -- GETTER --
     *  获取自增主键
     *
     * @return id - 自增主键

     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 运营中心id
     * -- GETTER --
     *  获取运营中心id
     *
     * @return comp_id - 运营中心id

     */
    @Column(name = "comp_id")
    private Integer compId;

    /**
     * 运营中心名称
     * -- GETTER --
     *  获取运营中心名称
     *
     * @return comp_name - 运营中心名称

     */
    @Column(name = "comp_name")
    private String compName;

    /**
     * 项目id
     * -- GETTER --
     *  获取项目id
     *
     * @return org_id - 项目id

     */
    @Column(name = "org_id")
    private Integer orgId;

    /**
     * 项目名称
     * -- GETTER --
     *  获取项目名称
     *
     * @return org_name - 项目名称

     */
    @Column(name = "org_name")
    private String orgName;

    /**
     * 单据号
     * -- GETTER --
     *  获取单据号
     *
     * @return doc_no - 单据号

     */
    @Column(name = "doc_no")
    private String docNo;

    /**
     * 商户id
     * -- GETTER --
     *  获取商户id
     *
     * @return merchant_id - 商户id

     */
    @Column(name = "merchant_id")
    private Integer merchantId;

    /**
     * 商户名称
     * -- GETTER --
     *  获取商户名称
     *
     * @return merchant_name - 商户名称

     */
    @Column(name = "merchant_name")
    private String merchantName;

    /**
     * 操作类型
     * -- GETTER --
     *  获取操作类型
     *
     * @return operation_type - 操作类型

     */
    @Column(name = "operation_type")
    private Integer operationType;

    /**
     * 商品品类数
     * -- GETTER --
     *  获取商品品类数
     *
     * @return product_type_count - 商品品类数

     */
    @Column(name = "product_type_count")
    private Integer productTypeCount;

    /**
     * 备注
     * -- GETTER --
     *  获取备注
     *
     * @return remark - 备注

     */
    private String remark;

    /**
     * 操作人id
     * -- GETTER --
     *  获取操作人id
     *
     * @return operator_id - 操作人id

     */
    @Column(name = "operator_id")
    private Integer operatorId;

    /**
     * 操作人姓名
     * -- GETTER --
     *  获取操作人姓名
     *
     * @return operator_name - 操作人姓名

     */
    @Column(name = "operator_name")
    private String operatorName;

    /**
     * 创建时间
     * -- GETTER --
     *  获取创建时间
     *
     * @return create_time - 创建时间

     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 操作源仓库
     */
    @Column(name = "source_warehouse_id")
    private Integer sourceWarehouseId;

    /**
     * 操作目标仓库
     */
    @Column(name = "target_warehouse_id")
    private Integer targetWarehouseId;
}