package cn.superdesk.app.inventory.dao.entity;

import cn.superdesk.libs.mybatis.core.BaseEntity;
import lombok.*;

import javax.persistence.*;
import java.util.Date;

@Setter
@Getter
@Table(name = "tb_inventory_warehouse")
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InventoryWarehouseEntity extends BaseEntity {
    /**
     * 自增主键
     * -- GETTER --
     * 获取自增主键
     * <p>
     * <p>
     * -- SETTER --
     * 设置自增主键
     * @return id - 自增主键
     * @param id 自增主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 仓库名称
     * -- GETTER --
     * 获取仓库名称
     * <p>
     * <p>
     * -- SETTER --
     * 设置仓库名称
     * @return name - 仓库名称
     * @param name 仓库名称
     */
    private String name;

    /**
     * 运营中心id
     * -- GETTER --
     * 获取运营中心id
     * <p>
     * <p>
     * -- SETTER --
     * 设置运营中心id
     * @return comp_id - 运营中心id
     * @param compId 运营中心id
     */
    @Column(name = "comp_id")
    private Integer compId;

    /**
     * 项目id
     * -- GETTER --
     * 获取项目id
     * <p>
     * <p>
     * -- SETTER --
     * 设置项目id
     * @return org_id - 项目id
     * @param orgId 项目id
     */
    @Column(name = "org_id")
    private Integer orgId;

    /**
     * 商户id
     * -- GETTER --
     * 获取商户id
     * <p>
     * <p>
     * -- SETTER --
     * 设置商户id
     * @return merchant_id - 商户id
     * @param merchantId 商户id
     */
    @Column(name = "merchant_id")
    private Integer merchantId;

    /**
     * 排序号
     * -- GETTER --
     * 获取排序号
     * <p>
     * <p>
     * -- SETTER --
     * 设置排序号
     * @return sequence - 排序号
     * @param sequence 排序号
     */
    private Integer sequence;

    /**
     * 仓库地址
     * -- GETTER --
     * 获取仓库地址
     * <p>
     * <p>
     * -- SETTER --
     * 设置仓库地址
     * @return address - 仓库地址
     * @param address 仓库地址
     */
    private String address;

    /**
     * 创建时间
     * -- GETTER --
     * 获取创建时间
     * <p>
     * <p>
     * -- SETTER --
     * 设置创建时间
     * @return created_time - 创建时间
     * @param createdTime 创建时间
     */
    @Column(name = "created_time")
    private Date createdTime;

    /**
     * 创建人id
     * -- GETTER --
     * 获取创建人id
     * <p>
     * <p>
     * -- SETTER --
     * 设置创建人id
     * @return created_by - 创建人id
     * @param createdBy 创建人id
     */
    @Column(name = "created_by")
    private Integer createdBy;

    /**
     * 修改时间
     * -- GETTER --
     * 获取修改时间
     * <p>
     * <p>
     * -- SETTER --
     * 设置修改时间
     * @return updated_at - 修改时间
     * @param updatedAt 修改时间
     */
    @Column(name = "updated_at")
    private Date updatedAt;

    /**
     * 修改人
     * -- GETTER --
     * 获取修改人
     * <p>
     * <p>
     * -- SETTER --
     * 设置修改人
     * @return updated_by - 修改人
     * @param updatedBy 修改人
     */
    @Column(name = "updated_by")
    private Integer updatedBy;

    /**
     * 是否已删除 0-否 1-是
     * -- GETTER --
     * 获取是否已删除 0-否 1-是
     * <p>
     * <p>
     * -- SETTER --
     * 设置是否已删除 0-否 1-是
     * @return deleted - 是否已删除 0-否 1-是
     * @param deleted 是否已删除 0-否 1-是
     */
    private Integer deleted;

}