package cn.superdesk.app.inventory.dao.entity;

import cn.superdesk.libs.mybatis.core.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

@Getter
@Table(name = "ims_flashdeliver_product_inventory")
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProductInventoryEntity extends BaseEntity {
    /**
     * 库存Id
     * -- GETTER --
     *  获取库存Id
     *
     * @return id - 库存Id

     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 库存数量
     * -- GETTER --
     *  获取库存数量
     *
     * @return quantity - 库存数量

     */
    private Integer quantity;

    /**
     * 版本号
     * -- GETTER --
     *  获取版本号
     *
     * @return version - 版本号

     */
    private Integer version;

    /**
     * 创建人
     * -- GETTER --
     *  获取创建人
     *
     * @return created_by - 创建人

     */
    @Column(name = "created_by")
    private Integer createdBy;

    /**
     * 创建时间
     * -- GETTER --
     *  获取创建时间
     *
     * @return created_at - 创建时间

     */
    @Column(name = "created_at")
    private Date createdAt;

    /**
     * 创建人
     * -- GETTER --
     *  获取创建人
     *
     * @return created_name - 创建人

     */
    @Column(name = "created_name")
    private String createdName;

    /**
     * 修改人
     * -- GETTER --
     *  获取修改人
     *
     * @return updated_by - 修改人

     */
    @Column(name = "updated_by")
    private Integer updatedBy;

    /**
     * 修改时间
     * -- GETTER --
     *  获取修改时间
     *
     * @return updated_at - 修改时间

     */
    @Column(name = "updated_at")
    private Date updatedAt;

    /**
     * 修改人
     * -- GETTER --
     *  获取修改人
     *
     * @return updated_name - 修改人

     */
    @Column(name = "updated_name")
    private String updatedName;

    /**
     * 商品Id
     * -- GETTER --
     *  获取商品Id
     *
     * @return product_id - 商品Id

     */
    @Column(name = "product_id")
    private Integer productId;

    /**
     * 规格Id 规格库存时使用
     * -- GETTER --
     *  获取规格Id 规格库存时使用
     *
     * @return spec_id - 规格Id 规格库存时使用

     */
    @Column(name = "spec_id")
    private Integer specId;

    /**
     * 最大库存
     * -- GETTER --
     *  获取最大库存
     *
     * @return max_quantity - 最大库存

     */
    @Column(name = "max_quantity")
    private Integer maxQuantity;

    /**
     * 是否每天还原
     * -- GETTER --
     *  获取是否每天还原
     *
     * @return is_day_revert - 是否每天还原

     */
    @Column(name = "is_day_revert")
    private Integer isDayRevert;

    /**
     * 设置库存Id
     *
     * @param id 库存Id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 设置库存数量
     *
     * @param quantity 库存数量
     */
    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    /**
     * 设置版本号
     *
     * @param version 版本号
     */
    public void setVersion(Integer version) {
        this.version = version;
    }

    /**
     * 设置创建人
     *
     * @param createdBy 创建人
     */
    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * 设置创建时间
     *
     * @param createdAt 创建时间
     */
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    /**
     * 设置创建人
     *
     * @param createdName 创建人
     */
    public void setCreatedName(String createdName) {
        this.createdName = createdName;
    }

    /**
     * 设置修改人
     *
     * @param updatedBy 修改人
     */
    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    /**
     * 设置修改时间
     *
     * @param updatedAt 修改时间
     */
    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    /**
     * 设置修改人
     *
     * @param updatedName 修改人
     */
    public void setUpdatedName(String updatedName) {
        this.updatedName = updatedName;
    }

    /**
     * 设置商品Id
     *
     * @param productId 商品Id
     */
    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    /**
     * 设置规格Id 规格库存时使用
     *
     * @param specId 规格Id 规格库存时使用
     */
    public void setSpecId(Integer specId) {
        this.specId = specId;
    }

    /**
     * 设置最大库存
     *
     * @param maxQuantity 最大库存
     */
    public void setMaxQuantity(Integer maxQuantity) {
        this.maxQuantity = maxQuantity;
    }

    /**
     * 设置是否每天还原
     *
     * @param isDayRevert 是否每天还原
     */
    public void setIsDayRevert(Integer isDayRevert) {
        this.isDayRevert = isDayRevert;
    }
}