package cn.superdesk.app.inventory.dao.mapper;

import cn.superdesk.app.base.dao.CustomBaseMapper;
import cn.superdesk.app.inventory.dao.entity.ProductInventoryEntity;
import cn.superdesk.app.inventory.model.dto.ProductInventoryDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

public interface ProductInventoryEntityMapper extends CustomBaseMapper<ProductInventoryEntity> {

    List<ProductInventoryEntity> selectProductInventoryByIdSet(@Param("productIdSet") Set<Integer> productIdSet);

    List<ProductInventoryDTO> selectProductInventoryByConditions(@Param("uniqueSet") Set<String> uniqueSet, @Param("orgId") Integer orgId, @Param("merchantId") Integer merchantId);

    @Update("update ims_flashdeliver_product_inventory " +
            "set quantity = quantity + #{change}, updated_by = #{userId} , updated_at = NOW(), updated_name = #{userName} " +
            "where id = #{id}")
    int updateInventory(@Param("id") Integer id, @Param("change") Integer change, @Param("userId") Integer userId, @Param("userName") String userName);

    Set<Integer> selectMerchantSetByProductIdSet(@Param("productIdSet") Set<Integer> collect);

    @Update("update ims_flashdeliver_product_inventory " +
            "set quantity = #{actual}, updated_by = #{userId} , updated_at = NOW(), updated_name = #{userName} " +
            "where id = #{id}")
    int updateActualInventoryById(@Param("id") Integer id, @Param("actual") Integer actual, @Param("userId") Integer userId, @Param("userName") String userName);

    @Update("update ims_flashdeliver_product_inventory " +
            "set quantity = #{actual}, updated_by = #{userId} , updated_at = NOW(), updated_name = #{userName} " +
            "where product_id = #{productId} and spec_id is null")
    int updateActualInventoryByProductId(@Param("productId") Integer productId, @Param("actual") Integer actual, @Param("userId") Integer userId, @Param("userName") String realName);

    @Select("select * from ims_flashdeliver_product_inventory where product_id = #{productId} and spec_id is null")
    @ResultMap("BaseResultMap")
    ProductInventoryEntity selectByProductId(Integer productId);

    Integer selectProductIdByProductCode(@Param("productCode") String productCode,@Param("orgId") Integer orgId,@Param("merchantId") Integer merchantId);

    @Select("select cost_price from ims_flashdeliver_product where id = #{productId}")
    BigDecimal selectCostPriceById(@Param("productId") Integer productId);
}