package cn.superdesk.app.inventory.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xc
 * @since 2023/11/21 10:27
 */
@Data
public class OrganizationEntityVO {
    @ApiModelProperty("ID")
    private Integer    id;
    @ApiModelProperty("运营中心ID集合")
    private String companyIds;
    @ApiModelProperty("运营中心名称")
    private String companyIdsName;
    @ApiModelProperty("名称")
    private String     name;
    @ApiModelProperty("编码")
    private String     code;
    @ApiModelProperty("项目类型（高校校园、小区住宅、CBD写字楼）")
    private Integer    type;
    @ApiModelProperty("服务热线")
    private String     telephone;
    @ApiModelProperty("所在省份编码")
    private String     provinceCode;
    @ApiModelProperty("所在省份名称")
    private String     provinceName;
    @ApiModelProperty("所在城市编码")
    private String     cityCode;
    @ApiModelProperty("所在城市名称")
    private String     cityName;
    @ApiModelProperty("详细地址")
    private String     address;
    @ApiModelProperty("经度")
    private BigDecimal lng;
    @ApiModelProperty("纬度")
    private BigDecimal lat;

    @ApiModelProperty("是否可用或删除")
    private Integer    enabled;
    @ApiModelProperty("项目状态（0-待审核，1-通过，2-不通过）")
    private Integer    status;
    @ApiModelProperty("申请人姓名")
    private String     applicantName;
    @ApiModelProperty("申请人电话")
    private String applicantPhone;
    @ApiModelProperty("审核信息说明")
    private String reviewRemark;
    @ApiModelProperty("申请人身份")
    private String applicantIdentity;
    @ApiModelProperty("申请人的微信信息ID")
    private Integer wxUserId;
    @ApiModelProperty("是否同步内购网")
    private Integer isSyncNeigou;
    @ApiModelProperty("项目对应的项目管理员角色id")
    private Integer roleId;
    @ApiModelProperty("会议室项目ID")
    private String mettingClient;
    @ApiModelProperty("航电项目id")
    private String hdProjectId;
    @ApiModelProperty("航电项目名称")
    private String hdProjectName;
    @ApiModelProperty("账号类型：0企业账号；1个人账号")
    private Integer accountType;
    @ApiModelProperty("")
    private String postofficeClient;
    @ApiModelProperty("通行方式 1-face++  2-二维码")
    private String passType;
    @ApiModelProperty("问卷星账号")
    private String wjxAccount;
    @ApiModelProperty("业态(1-写字楼;2-住宅;)")
    private Integer typeOfOperation;

    @ApiModelProperty("职场名称关联平安项目使用")
    private String workName;
    @ApiModelProperty("闪送平台服务费")
    private BigDecimal serviceCharge;
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdAt;
    @ApiModelProperty("创建人")
    private Integer createdBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedAt;
    @ApiModelProperty("修改人")
    private Integer updatedBy;
    @ApiModelProperty("航电客户声音项目id")
    private String hdVoiceProjectId;
    @ApiModelProperty("航电客户声音项目名称")
    private String hdVoiceProjectName;


    @ApiModelProperty("koala连接地址")
    private String     koalaAuthUrl;
    @ApiModelProperty("koala连接用户名")
    private String     koalaUserName;
    @ApiModelProperty("koala连接用户密码")
    private String     koalaUserPwd;

    private String remark;
    private String airIp;
}
