package cn.superdesk.app.inventory.model.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @author xc
 * @since 2023/11/22 09:27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class InventoryCheckDetailParam {
    private Integer id;
    @NotNull(message = "商品id不能为空")
    private Integer productId;
    @NotNull(message = "商品名称不能为空")
    private String productName;
    private String productCode;
    private String unit;
    @NotNull(message = "原库存不能为空")
    private Integer originalQuantity;
    @NotNull(message = "实际库存不能为空")
    private Integer actualQuantity;
    private String remark;
    @NotNull(message = "是否启用不能为空")
    @Range(min = 0, max = 1, message = "是否启用只能为0或1")
    private Integer enabled = 1;
}
