package cn.superdesk.app.inventory.model.param;

import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;

/**
 * @author xc
 * @since 2023/11/22 16:55
 */
@Data
public class InventoryCheckPageQueryParam {
    @NotNull(message = "页码不能为空")
    private Integer pageNo;
    @NotNull(message = "每页记录数不能为空")
    @Max(value = 100, message = "每页记录数不能超过100")
    private Integer pageSize;
    private Integer compId;
    private Integer orgId;
    private Integer merchantId;
    private String operator;// 盘点人
    @Range(min = 1, max = 2, message = "盘点状态不正确")
    private Integer state;// 盘点状态
    private String docNo;// 单据号 精确查询
    private String productName;// 商品名称 模糊查询
    private String productCode;// 商品条码 精确查询
    private String startTime;// 开始时间 yyyy-MM-dd
    private String endTime;// 结束时间 yyyy-MM-dd
}
