package cn.superdesk.app.inventory.model.param;

import cn.superdesk.app.base.model.LoginSession;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author xc
 * @since 2023/11/22 09:26
 */
@Data
public class InventoryCheckParam {
    private Integer id;
    @NotNull(message = "项目id不能为空")
    private Integer orgId;
    @NotNull(message = "商户id不能为空")
    private Integer merchantId;
    @NotEmpty(message = "商户名称不能为空")
    private String merchantName;
    private String remark;
    @NotNull(message = "是否临时保存标志不能为空")
    @Range(min = 0, max = 1, message = "是否临时保存标志只能为0或1")
    private int temporarySaving;
    @NotEmpty(message = "盘点单明细不能为空")
    @Valid
    private List<InventoryCheckDetailParam> detailList;

    private LoginSession loginSession;
}
