package cn.superdesk.app.inventory.model.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author xc
 * @since 2023/11/27 16:12
 */
@Data
public class InventoryOperationImportParam {
    @NotNull(message = "项目id不能为空")
    private Integer orgId;
    @NotNull(message = "商户id不能为空")
    private Integer merchantId;
    @NotBlank(message = "商户名称不能为空")
    private String merchantName;
    @NotNull(message = "操作类型不能为空")
    private Integer operationType;
    private String remark;
    // 操作源仓库 只有调拨出/入库时才需要传
    private Integer sourceWarehouseId;
    @NotNull(message = "仓库不能为空")
    private Integer targetWarehouseId;
}
