package cn.superdesk.app.inventory.service.feign;

import cn.superdesk.app.inventory.model.dto.MerchantVO;
import cn.superdesk.app.inventory.model.dto.OrganizationEntityVO;
import cn.superdesk.libs.springweb.model.WrapperResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author xc
 * @since 2023/11/21 10:26
 */
@FeignClient(name = "superdesk-app-services-organisation", fallback = OrganizationFeignClientFallback.class)

public interface OrganizationFeignClient {
    @GetMapping(value = "/organization/{id}")
    WrapperResponse<OrganizationEntityVO> getProjectInfoById(@PathVariable(value = "id") Integer id);

    @RequestMapping(value = "/wechat/front/merchant/getMerchantById", method = RequestMethod.POST)
    WrapperResponse<MerchantVO> getMerchantParamById(
            @RequestParam(name = "merchantId", required = true) String merchantId
    );
}
