package cn.superdesk.app.inventory.util;

import cn.hutool.core.collection.CollUtil;
import cn.superdesk.app.base.LoginContext;
import cn.superdesk.app.base.model.LoginSession;
import cn.superdesk.libs.common.SuperdeskBaseException;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * @author xc
 * @since 2023/11/21 15:33
 */
@Slf4j
public class AdminUtils {

    public static LoginSession hasPermission(Integer orgId) {
        LoginSession loginUser = LoginContext.getAndValidateLoginUser();
        if (orgId == null) {
            if (loginUser.getUserType() > 2) {
                throw new SuperdeskBaseException(500, "权限不足");
            }
        }
        if (loginUser.getUserType() > 2) {
            List<Integer> orgList = loginUser.getOrgList();
            if (CollUtil.isEmpty(orgList) || !orgList.contains(orgId)) {
                throw new SuperdeskBaseException(500, "权限不足");
            }
        }
        return loginUser;
    }

    /**
     * 判断是否有盘点管理权限
     * 只有商户管理员和商户操作员有权限
     * @return
     */
    // public static LoginSession hasInventoryManagePermission() {
    //     LoginSession loginUser = LoginContext.getAndValidateLoginUser();
    //     Integer userType = loginUser.getUserType();
    //     if (!GlobalConstant.UserType.MER_MANAGER_TYPE.type.equals(userType) && !GlobalConstant.UserType.MER_OPERATION_TYPE.type.equals(userType)) {
    //         log.info("用户没有盘点管理权限");
    //         throw new SuperdeskBaseException(500, "权限不足");
    //     }
    //     return loginUser;
    // }
}
